VMware Workstation 15.5.7 Pro | 2020 年 11 月 19 日 | 内部版本 17171714

发行说明内容

关于 VMware Workstation Pro

VMware Workstation Pro™ 使专业技术人员能够在同一台 PC 上同时运行多个基于 x86 的 Windows、Linux 和其他操作系统,从而开发、测试、演示和部署软件。

无论虚拟机是位于个人计算机还是专用企业云中,您都可以在虚拟机中复制服务器、桌面和平板电脑环境,并为每个虚拟机分配多个处理器内核、千兆字节的主内存和显存。

有关详细信息,请参阅 VMware Workstation Pro 文档

新增功能

此 VMware Workstation Pro 发行版本是面向所有 VMware Workstation 15 Pro 用户的免费升级。其中包含一些错误修复和微小改进。

重要修复

此版本的 VMware Workstation 解决了以下问题:

  • VMware Workstation 的 XHCI USB 控制器中存在“释放后重用”漏洞。对虚拟机具有本地管理特权的恶意使用者可能会利用此问题执行代码以作为在主机上运行的虚拟机 VMX 进程。通用漏洞披露项目 (cve.mitre.org) 分配给此问题的标识符为 CVE-2020-4004。有关详细信息,请参见 VMSA-2020-0026

  • 由于 ACPI 设备中存在检查时间/使用时间问题,VMware Workstation 中存在越界读取漏洞。对虚拟机具有管理访问权限的恶意使用者可能会利用此问题使 VMX 进程泄漏内存。通用漏洞披露项目 (cve.mitre.org) 分配给此问题的标识符为 CVE-2020-3981。有关详细信息,请参见 VMSA-2020-0023.2

  • 由于 ACPI 设备中存在检查时间/使用时间问题,VMware Workstation 中存在越界写入漏洞。对虚拟机具有管理访问权限的恶意使用者可能会利用此漏洞使虚拟机的 VMX 进程崩溃或损坏 Hypervisor 的内存堆。通用漏洞披露项目 (cve.mitre.org) 分配给此问题的标识符为 CVE-2020-3982。有关详细信息,请参见 VMSA-2020-0023.2

  • VMware Workstation 的 Cortado ThinPrint 组件中存在多个越界读取漏洞。这些漏洞存在于 EMF 和 JPEG2000 分析程序中。对虚拟机具有正常访问权限的恶意使用者可能会利用这些问题发起局部拒绝服务攻击,或使在安装了 VMware Workstation 的系统上运行的 TPView 进程泄漏内存。通用漏洞披露项目 (cve.mitre.org) 分配给这些问题的标识符分别为 CVE-2020-3986(EMF 分析程序)、CVE-2020-3987(EMR STRETCHDIBITS 分析程序)和 CVE-2020-3988(JPEG2000 分析程序)。有关详细信息,请参见 VMSA-2020-0020.1

  • 由于 Cortado ThinPrint 组件中存在越界写入问题,VMware Workstation 中存在拒绝服务漏洞。对虚拟机具有正常访问权限的恶意使用者可能会利用此问题在安装了 VMware Workstation 的系统上发起局部拒绝服务攻击。通用漏洞披露项目 (cve.mitre.org) 分配给此问题的标识符为 CVE-2020-3989。有关详细信息,请参见 VMSA-2020-0020.1

  • 由于 Cortado ThinPrint 组件中存在整数溢出问题,VMware Workstation 中存在信息泄露漏洞。对虚拟机具有正常访问权限的恶意使用者可能会利用此问题使在安装了 VMware Workstation 的系统上运行的 TPView 进程泄漏内存。通用漏洞披露项目 (cve.mitre.org) 分配给此问题的标识符为 CVE-2020-3990。有关详细信息,请参见 VMSA-2020-0020.1

早期版本

VMware Workstation 15 Pro 之前的版本中的功能和已知问题在每个版本的发行说明中均有介绍。要查看以前版本的发行说明,请单击相应的链接:

已解决的问题

  • 对于在旧版 VMware Workstation 或 VMware ESXi Server 上运行的虚拟机,无法通过连接到该旧版服务器打开虚拟机电源

    在连接到旧版 VMware Workstation 或 VMware ESXi Server 以打开远程虚拟机电源时,将显示以下错误:

    无法连接到 MKS: vim.fault.GenericVmConfigFault (Unable to connect to the MKS: vim.fault.GenericVmConfigFault)。

    这个问题已得到解决。

  • VMware Workstation 共享虚拟机无法在 Ubuntu 20.04 主机上运行

    在接收远程连接请求以访问共享虚拟机时,VMware Workstation UI 在 Ubuntu 20.04 主机上崩溃。

    这个问题已得到解决。

check-circle-line exclamation-circle-line close-line
Scroll to top icon